Crash report #12018

Closed
stenver opened this Issue Feb 28, 2014 · 2 comments

Comments

Projects
None yet
2 participants
@stenver

stenver commented Feb 28, 2014

Hello

The PhantomJS crashed on a very easy set of tests, if called one after another. Called separately, they dont fail.

The tests look like this:

require 'spec_helper'
require_relative '../ui_spec_helper'

feature 'Authentication', :selenium do

  before(:each) do
    Capybara.current_driver = :poltergeist
    Capybara.javascript_driver = :poltergeist
    use_chrome_user_agent
  end

  scenario 'Non admin has main view elements' do
    visit '/'
    fill_in('email', with: 'test@example.com')
    fill_in('password', with: 'something_funny')
    click_on('Login')
  end

  scenario 'Admin has admin panel button' do
    visit '/'
    fill_in('email', with: 'test_admin@example.com')
    fill_in('password', with: 'something_funny')
    click_on('Login')
  end
end

Here is the debug log

{"response"=>{"page_id"=>4, "ids"=>[2]}}
{"name"=>"visible", "args"=>[4, 2]}
{"response"=>true}
{"name"=>"tag_name", "args"=>[4, 2]}
{"response"=>"BUTTON"}
{"name"=>"disabled", "args"=>[4, 2]}
{"response"=>false}
{"name"=>"click", "args"=>[4, 2]}
poltergeist [1393587320899] state default -> mouse_event
poltergeist [1393587320902] state mouse_event -> loading
PhantomJS has crashed. Please read the crash reporting guide at https://github.com/ariya/phantomjs/wiki/Crash-Reporting and file a bug report at https://github.com/ariya/phantomjs/issues/new with the crash dump file attached: /tmp/D4796CB2-2EAA-4BCB-87D8-19FEAD33CFEE.dmp
{"name"=>"set_debug", "args"=>[true]}
{"response"=>true}
{"name"=>"reset", "args"=>[]}
{"response"=>true}
{"name"=>"find", "args"=>[:xpath, "/html/body/*"]}
{"response"=>{"page_id"=>0, "ids"=>[]}}

I should also note that this exact code works with Selenium web driver.

I cant post the dump of the crash, since my mac couldnt run the ./minidump_stackwalk binary

@stenver

This comment has been minimized.

Show comment Hide comment
@stenver

stenver Feb 28, 2014

I should also note im using version 1.9.7

stenver commented Feb 28, 2014

I should also note im using version 1.9.7

@Vitallium

This comment has been minimized.

Show comment Hide comment
@Vitallium

Vitallium Feb 9, 2016

Collaborator

Please upgrade to PhantomJS 2. 1.9.x is no longer supported, and known to have many crasher bugs that are fixed in 2.0.

Collaborator

Vitallium commented Feb 9, 2016

Please upgrade to PhantomJS 2. 1.9.x is no longer supported, and known to have many crasher bugs that are fixed in 2.0.

@Vitallium Vitallium closed this Feb 9, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment